import java.io.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.net.URI;
import java.net.URISyntaxException;

public class LaunchBrowser {
  public LaunchBrowser(){
    JFrame frame = new JFrame("Open Browser Frame.");
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    JButton button = new JButton("Open Browser");
    button.addActionListener(new OpenBrowserAction());
    JPanel panel = new JPanel();
    panel.add(button);
    frame.add(panel, BorderLayout.CENTER);
    frame.setSize(200, 200);
    frame.setVisible(true);
  }

  public class OpenBrowserAction implements ActionListener{
    public void actionPerformed(ActionEvent ae){
      try {
			URI uri = new URI("http://www.javajazzup.com");
			Desktop desktop = null;
			//Test whether Desktop class is supported on the current platform.
			if (Desktop.isDesktopSupported()) {
				//If it's supported, retrieve an instance.
				desktop = Desktop.getDesktop();
			}
			if (desktop != null)
				// Launch the default browser to display a URI.
				desktop.browse(uri);
		    }
			catch (IOException e) {
				e.printStackTrace();
			}
			catch (URISyntaxException e) {
				e.printStackTrace();
			}
	}
  }

  public static void main(String[] args) throws Exception {
    LaunchBrowser screen = new LaunchBrowser();
  }
} 