import javax.swing.*;
import javax.imageio.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.io.*;

public class ScreenshotExample {
  public ScreenshotExample(){
    JFrame frame = new JFrame("Screenshot Frame.");
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    JButton button = new JButton("Capture Screen");
    button.addActionListener(new CaptureAction());
    JPanel panel = new JPanel();
    panel.add(button);
    frame.add(panel, BorderLayout.CENTER);
    frame.setSize(200, 200);
    frame.setVisible(true);
  }

  public class CaptureAction implements ActionListener{
    public void actionPerformed(ActionEvent ae){
      try{
		  //Create Input dialog to take the file name from the user to save the captured screen shot.
        String fileName = JOptionPane.showInputDialog(null, "Enter file name : ", "javajazzup", 1);
        if (!fileName.toLowerCase().endsWith(".gif")){
          JOptionPane.showMessageDialog(null, "Error: file name must end with \".gif\".", "javajazzup", 1);
        }
        else{
			// Create instance of Robot class.
          Robot robot = new Robot();
		  // Capture full screen and store it as BufferedImage.
          BufferedImage image = robot.createScreenCapture(new Rectangle(Toolkit.getDefaultToolkit().getScreenSize()));
		  // Write the image to file
		  ImageIO.write(image, "gif", new File(fileName));
		  // Create the message dialogue showing the success of the task.
          JOptionPane.showMessageDialog(null, "Screen captured successfully.", "javajazzup", 1);
        }
      }
      catch(Exception e){}
    }
  }

  public static void main(String[] args) throws Exception {
    ScreenshotExample screen = new ScreenshotExample();
  }
} 